#line 1 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/FT90x/Big7SEGFT90x.c"
#line 1 "d:/stefan popovic/projekti/click_big_7_seg_r_74hc595/example/ft90x/7_seg.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for ft90x/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 51 "d:/stefan popovic/projekti/click_big_7_seg_r_74hc595/example/ft90x/7_seg.h"
 void HC595_reset( void );
 void HC595_load( void );


 int8_t seg_7_display( char c );


 void seg7_send_byte ( uint8_t byte );
#line 42 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/FT90x/Big7SEGFT90x.c"
 sbit HC595_RES at GPIO_PIN1_bit;
 sbit HC595_LAT at GPIO_PIN28_bit;
 sbit HC595_PWM at GPIO_PIN56_bit;
#line 50 "D:/Stefan Popovic/Projekti/Click_Big_7_Seg_R_74HC595/example/FT90x/Big7SEGFT90x.c"
 extern char dig_array[ 75 ];


 unsigned short counter;
 unsigned int luminosity;
 unsigned int pwm_period;
 int8_t valid;

 char demo_array[20] =
 { 'M', 'I', 'K', 'R', 'O',
 'E', 'L', 'E', 'K', 'T', 'R', 'O', 'N', 'I', 'K', 'A',
 '2', '0', '1', '6'
 };

 void main()
 {

 GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_1);
 GPIO_Pin_Digital_Output(_GPIO_PIN_NUM_28);


 SPIM1_Init_Advanced(_SPI_MASTER_CLK_RATIO_64,
 _SPI_CFG_PHASE_CAPTURE_FALLING |
 _SPI_CFG_POLARITY_IDLE_LOW |
 _SPI_CFG_SS_AUTO_DISABLE |
 _SPI_CFG_FIFO_DISABLE,
 _SPI_SS_LINE_NONE );


 SPIM_Set_Active(SPIM1_Write_Bytes,
 SPIM1_Write,
 SPIM1_Read_Bytes,
 SPIM1_Read,
 SPIM1_Enable_SS,
 SPIM1_Disable_SS);


 pwm_period = PWM_Init(5000);
 PWM_ConfigChannel(18000,
 _PWM_INIT_STATE_0,
 _PWM_CHANNEL_0);
 PWM_EnableOutput();


 HC595_LAT = 0;
 HC595_RES = 0;
 HC595_reset();


 counter = 0;
 luminosity = 0;


 while (1)
 {
 valid = seg_7_display(demo_array[counter]);


 PWM_ConfigChannel(18000 - luminosity,
 _PWM_INIT_STATE_0,
 _PWM_CHANNEL_0);
 delay_ms (750 );
 luminosity += 100;
 counter++;

 if (counter == 20)
 counter = 0;
 if (luminosity == 4000)
 luminosity = 0;
 }
 }
